<template>
  <nav-bar :options="permisosAppStore.listadoOp" :router="useRouter()" v-if="showNavBar">
    <div class="container position-relative">
      <bread-crumb ref="breadcrumb" class="mt-3">
        <router-view />
      </bread-crumb>
    </div>
  </nav-bar>
</template>
<script setup lang="ts">
import { NavBar, isEmpty } from "@hcd-bsas/vue3-components";
import { useRouter } from "vue-router";
import { computed, onMounted } from "vue";
import { loading } from "@/shared.js";
//stored
import { usePermisosAppStore } from "@/stores/permisosApp";
const permisosAppStore = usePermisosAppStore();
const showNavBar = computed(() => !isEmpty(permisosAppStore.listadoOp) && !isEmpty(permisosAppStore.currentUser));

onMounted(async () => {
  loading.show();
  await Promise.all([
    permisosAppStore.updateListado({ id_app: import.meta.env.VITE_ID_APP }),
    permisosAppStore.updateUser()
  ]);
  loading.hide();
}); 
</script>